package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.entity.StandardLibrary;

public interface StandardLibraryService extends IService<StandardLibrary> {

    /**
   条件查询全部
     */
   IPage<StandardLibrary> selectall(Page page,StandardLibrary standardLibrary);
    /**
     * 修改
     */
    boolean update(StandardLibrary standardLibrary);
    /**
     * 删除
     */
    boolean deleteall(StandardLibrary standardLibrary);
    /**
     * 新增
     */
    boolean insertall(StandardLibrary standardLibrary);


}
